Subject: Re: [PATCH v5 03/10] dt-bindings: gpio: ast2400-gpio: Add hogs parsing

From: Rob Herring <[email-masked]>
Date: Thu, 16 Jan 2025 08:48:19 -0600

On Thu, Jan 16, 2025 at 08:19:25AM -0600, Ninad Palsule wrote:
>    Hi  Krzysztof,
> 
>    On 1/16/25 04:38, Krzysztof Kozlowski wrote:
> 
> On Wed, Jan 15, 2025 at 03:53:38PM -0600, Ninad Palsule wrote:
> 
> +  "^(hog-[0-9]+|.+-hog(-[0-9]+)?)$":
> 
> Choose one - suffix or prefix. More popular is suffix.
> 
> I was about to say that, but this matches what gpio-hog.yaml defines.
> Why we did both, I don't remember. We could probably eliminate
> 'hog-[0-9]+' as that doesn't appear to be used much.
> 
> Long term, I want to make all gpio controllers reference a gpio
> controller schema and put the hog stuff there. Then we have the node
> names defined in 1 place.
> 
> Which one of the following are you suggesting?
> 
> "^(.+-hog(-[0-9]+)?)$"
> 
> This. The second part of pattern.
> 
> I'll send a patch for dtschema to drop the prefix version.
> 
>    Thanks. Also thanks for the other patch. It helped a lot.

Please fix your mail client to properly quote replies

Rob